Bug 427624 - Review Request: R-qvalue - Q-value estimation for false discovery rate control
Review Request: R-qvalue - Q-value estimation for false discovery rate control
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-05 12:19 EST by Pierre-Yves
Modified: 2008-01-22 10:55 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.12.0-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 10:39:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2008-01-05 12:19:40 EST
Spec URL: http://pingoured.fr/public/RPM/R-qvalue/R-qvalue.spec
SRPM URL: http://pingoured.fr/public/RPM/R-qvalue/R-qvalue-1.12.0-1.fc8.src.rpm

Description: 
It takes a list of p-values resulting from the simultaneous 
testing of many hypotheses and estimates their q-values. 
The q-value of a test measures the proportion of false positives 
incurred (called the false discovery rate) when that particular 
test is called significant. Various plots are automatically 
generated, allowing one to make sensible significance cut-offs. 
Several mathematical results have recently been shown on the 
conservative accuracy of the estimated q-values from this software. 
The software can be applied to problems in genomics, brain imaging, 
astrophysics, and data mining.

This package is a part of the Bioconductor (bioconductor.org) project.
Comment 1 Jason Tibbitts 2008-01-07 23:42:24 EST
This does build but I get a huge number of errors building the documentation:

pdfTeX warning: pdflatex (file
/var/lib/texmf/fonts/map/pdftex/updmap/pdftex.map): ambiguous entry for
`ebbx10': font file present but not included, will be treated as font file not
present

and so on.   The resulting document is obviously not correct; compare
http://www.math.uh.edu/~tibbs/qvalue.pdf to 
http://bioconductor.org/packages/2.1/bioc/vignettes/qvalue/inst/doc/qvalue.pdf

I'm really not sure what the problem is, or what to do with this review.  Is
that problem significant enough to block this package?  This is really the only
thing I see that's problematic, but if it's a texlive problem and not a problem
with this package then I'm inclined to approve it, as texlive is breaking other
things in various ways.  What do you think?

I think we've established in the past that they mean LGPLv2+ for the license,
and that upstream is never going to pull their heads out and make even the
simplest of clarifications to the licensing information in their packages or on
their web pages.  So I'm not even going to complain about it.

* source files match upstream:
   90012885da8bc630e146a569da0d46549af6d230a9f852074b2e0f713b1e99e6  
   qvalue_1.12.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint has only the two expected complaints for R packages.
* final provides and requires are sane:
   R-qvalue = 1.12.0-1.fc9
  =
   /bin/sh
   R
* %check is present and all tests pass.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (R package registration)
* code, not content.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Pierre-Yves 2008-01-08 02:21:55 EST
ok I think I have fixed it.
I do not like the idea that the documentation is not working properly...

Spec URL: http://pingoured.fr/public/RPM/R-qvalue/R-qvalue.spec
SRPM URL: http://pingoured.fr/public/RPM/R-qvalue/R-qvalue-1.12.0-2.fc8.src.rpm
Comment 3 Jason Tibbitts 2008-01-11 00:00:16 EST
Honestly I don't understand why the changes you made would have fixed the
documentation, but although I still see a load of latex errors during the build,
the resulting pdf files look better to me.  So everything looks good to me now,

APPROVED
Comment 4 Pierre-Yves 2008-01-11 01:48:27 EST
I had sed on the pdf file... I think that was the difference.

New Package CVS Request
=======================
Package Name:  R-qvalue
Short Description: Q-value estimation for false discovery rate control
Owners: pingou
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-01-11 16:54:14 EST
cvs done.
Comment 6 Fedora Update System 2008-01-15 17:51:28 EST
R-qvalue-1.12.0-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-qvalue'
Comment 7 Fedora Update System 2008-01-15 18:01:46 EST
R-qvalue-1.12.0-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-qvalue'
Comment 8 Fedora Update System 2008-01-22 10:39:09 EST
R-qvalue-1.12.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-01-22 10:55:00 EST
R-qvalue-1.12.0-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.